#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 nothunks
version:              0.2.0
visibility:           public
id:                   nothunks-0.2.0-3fAV7Bm6rfe3JPewiMzv7b
key:                  nothunks-0.2.0-3fAV7Bm6rfe3JPewiMzv7b
license:              Apache-2.0
copyright:            2018-2024 Input Output Global Inc (IOG)
maintainer:           Marcin Szamotulski <coot@coot.me>
author:               IOG
synopsis:             Examine values for unexpected thunks
description:
    Long lived application data typically should not contain
    any thunks. This library can be used to examine values for
    unexpected thunks, which can then be used in assertions.
    This can be invaluable in avoiding memory leaks, or tracking
    down existing ones.

category:             Development
abi:                  1df0e938256921ab16bf04a36adbaa59
exposed:              True
exposed-modules:      NoThunks.Class
import-dirs:          /usr/lib/ghc-9.2.8/site-local/nothunks-0.2.0
library-dirs:         /usr/lib/ghc-9.2.8/site-local/nothunks-0.2.0
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-nothunks
hs-libraries:         HSnothunks-0.2.0-3fAV7Bm6rfe3JPewiMzv7b
depends:
    base-4.16.4.0 bytestring-0.11.4.0 containers-0.6.5.1 ghc-heap-9.2.8
    stm-2.5.0.2 text-1.2.5.0 time-1.11.1.1
    vector-0.13.1.0-7kspXIhsfaQEZQW3lsFmcE

haddock-interfaces:   /usr/share/doc/haskell-nothunks/html/nothunks.haddock
haddock-html:         /usr/share/doc/haskell-nothunks/html
' | '/usr/bin/ghc-pkg-9.2.8' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

